<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@autor			christian.rodriguez
@description 	test page for CU-SA-AC-112
@version 		2.0


-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::test page for cu-sa-ac-128::.
    </ui:define>

    <ui:define name="content">

        <h:form>
            <p:commandLink value="Consultar Ordenes práctica por radicación"
                           action="#{testsAvaluos.cargarOrdenPracticaPorRadicacioCU112}"
                           update=":consultarOrdenesPracticaRadicacionForm"
                           onstart="statusDialog2.show();"
                           oncomplete="statusDialog2.hide();
                           conusltaOrdenesPracticaPorRadicacionWV.show();">
            </p:commandLink>
        </h:form>


        <p:dialog header="Ordenes práctica por radicación"
                  widgetVar="conusltaOrdenesPracticaPorRadicacionWV"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="950">
            <ui:include
                src="/avaluos/asignacion/consultarOrdenesPracticaPorRadicacion.xhtml" />
        </p:dialog>

        <!-- ............................. CASOS DE USO TRANSVERSALES ............................ -->
        <!-- DIALOG PARA INFORMACION DE DEPARTAMENTOS Y MUNICIPIOS DE LOS PREDIOS DE UN AVALUO -->
        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE AVALUADORES ASIGNADOS -->
        <p:dialog widgetVar="infoAvaluadoresAsignadosWV"
                  header="Profesionales de avalúos" appendToBody="true" closable="true"
                  minimizable="false" resizable="false" dynamic="true" modal="true"
                  width="750">
            <ui:include
                src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA INFORMACION PREDIAL -->
        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <!-- CC PARA INFORMACION DETALLADA DE PREDIOS -->
        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <!-- VISOR GEOGRAFICO -->
        <ui:include src="/util/visorGeografico.xhtml" />

        <!-- CC PARA INFORMACION DE LA SOLICITUD -->
        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <!-- DIALOG PARA INFORMACION DEL SOLICITANTE -->
        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE DOCUMENTOS DE LA SOLICITUD -->
        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <!-- CC PARA MOSTRAR DOCUMENTO -->
        <misc:visualizadorMemorandosCC id="viewMemo" thisWVName="memorandoWV"
                                       radicarButtonVisible="false"
                                       urlDocumento="#{consultarOrdenesPracticaRad.ordenPracticaReporte.urlWebReporte}"
                                       fileContent="#{consultarOrdenesPracticaRad.ordenPracticaReporte.streamedContentReporte}"
                                       documentoGenerado="#{consultarOrdenesPracticaRad.ordenPracticaReporte ne null}" />

    </ui:define>

</ui:composition>
